# wxIconBundle Class Reference
[Graphics Device Interface (GDI)]

`#include <wx/iconbndl.h>`

Inheritance diagram for wxIconBundle:
[legend]

## Detailed Description

This class contains multiple copies of an icon in different sizes.

It is typically used in wxDialog::SetIcons and wxTopLevelWindow::SetIcons.

##

Library: wxCore

Category: Graphics Device Interface (GDI)

Predefined objects/pointers: wxNullIconBundle

## Public Member Functions
| wxIconBundle ()
| Default ctor.
| wxIconBundle (const wxString &file, wxBitmapType type=wxBITMAP_TYPE_ANY)
| Initializes the bundle with the icon(s) found in the file.
| wxIconBundle (wxInputStream &stream, wxBitmapType type=wxBITMAP_TYPE_ANY)
| Initializes the bundle with the icon(s) found in the stream.
| wxIconBundle (const wxIcon &icon)
| Initializes the bundle with a single icon.
| wxIconBundle (const wxIconBundle &ic)
| Copy constructor.
virtual | ~wxIconBundle ()
| Destructor.
void | AddIcon (const wxString &file, wxBitmapType type=wxBITMAP_TYPE_ANY)
| Adds all the icons contained in the file to the bundle; if the collection already contains icons with the same width and height, they are replaced by the new ones.
void | AddIcon (wxInputStream &stream, wxBitmapType type=wxBITMAP_TYPE_ANY)
| Adds all the icons contained in the stream to the bundle; if the collection already contains icons with the same width and height, they are replaced by the new ones.
void | AddIcon (const wxIcon &icon)
| Adds the icon to the collection; if the collection already contains an icon with the same width and height, it is replaced by the new one.
wxIcon | GetIcon (const wxSize &size) const
| Returns the icon with the given size; if no such icon exists, returns the icon with size `wxSYS_ICON_X` and `wxSYS_ICON_Y`; if no such icon exists, returns the first icon in the bundle.
wxIcon | GetIcon (wxCoord size=wxDefaultCoord) const
| Same as.
wxIcon | GetIconOfExactSize (const wxSize &size) const
| Returns the icon with exactly the given size or wxNullIcon if this size is not available.
bool | IsEmpty () const
| Returns true if the bundle doesn't contain any icons, false otherwise (in which case a call to GetIcon() with default parameter should return a valid icon).
wxIconBundle & | operator= (const wxIconBundle &ic)
| Assignment operator, using reference counting.
bool | operator== (const wxIconBundle &ic)
| Equality operator.
bool | operator!= (const wxIconBundle &ic)
| Inequality operator.

List of all members.

## Constructor & Destructor Documentation

wxIconBundle::wxIconBundle | ( |  | ) |

Default ctor.

wxIconBundle::wxIconBundle | ( | const wxString & | file,
|  | wxBitmapType | type = `wxBITMAP_TYPE_ANY` |
| ) |  |  |

Initializes the bundle with the icon(s) found in the file.

wxIconBundle::wxIconBundle | ( | wxInputStream & | stream,
|  | wxBitmapType | type = `wxBITMAP_TYPE_ANY` |
| ) |  |  |

Initializes the bundle with the icon(s) found in the stream.

Notice that the stream must be seekable, at least if it contains more than one icon. The stream pointer is positioned after the last icon read from the stream when this function returns.

Since:
  2.9.0

wxIconBundle::wxIconBundle | ( | const wxIcon & | icon | ) |

Initializes the bundle with a single icon.

wxIconBundle::wxIconBundle | ( | const wxIconBundle & | ic | ) |

Copy constructor.

virtual wxIconBundle::~wxIconBundle | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

void wxIconBundle::AddIcon | ( | const wxIcon & | icon | ) |

Adds the icon to the collection; if the collection already contains an icon with the same width and height, it is replaced by the new one.

void wxIconBundle::AddIcon | ( | wxInputStream & | stream,
|  | wxBitmapType | type = `wxBITMAP_TYPE_ANY` |
| ) |  |  |

Adds all the icons contained in the stream to the bundle; if the collection already contains icons with the same width and height, they are replaced by the new ones.

Notice that, as well as in the constructor loading the icon bundle from stream, the stream must be seekable, at least if more than one icon is to be loaded from it.

Since:
  2.9.0

void wxIconBundle::AddIcon | ( | const wxString & | file,
|  | wxBitmapType | type = `wxBITMAP_TYPE_ANY` |
| ) |  |  |

Adds all the icons contained in the file to the bundle; if the collection already contains icons with the same width and height, they are replaced by the new ones.

wxIcon wxIconBundle::GetIcon | ( | wxCoord | size = `wxDefaultCoord` | ) | const

Same as.

     GetIcon( wxSize( size, size ) )

.

wxIcon wxIconBundle::GetIcon | ( | const wxSize & | size | ) | const

Returns the icon with the given size; if no such icon exists, returns the icon with size `wxSYS_ICON_X` and `wxSYS_ICON_Y`; if no such icon exists, returns the first icon in the bundle.

If size = wxDefaultSize, returns the icon with size `wxSYS_ICON_X` and `wxSYS_ICON_Y`.

wxIcon wxIconBundle::GetIconOfExactSize | ( | const wxSize & | size | ) | const

Returns the icon with exactly the given size or wxNullIcon if this size is not available.

bool wxIconBundle::IsEmpty | ( |  | ) | const

Returns true if the bundle doesn't contain any icons, false otherwise (in which case a call to GetIcon() with default parameter should return a valid icon).

bool wxIconBundle::operator!= | ( | const wxIconBundle & | ic | ) |

Inequality operator.

This returns true if two icon bundles are not equal.

wxIconBundle& wxIconBundle::operator= | ( | const wxIconBundle & | ic | ) |

Assignment operator, using reference counting.

bool wxIconBundle::operator== | ( | const wxIconBundle & | ic | ) |

Equality operator.

This returns true if two icon bundles are equal.

|  | [ top ]